OGRE-Next: Ogre::GpuProgramParameters_AutoConstantEntry Class Reference

| OGRE-Next 3.0.0 Object-Oriented Graphics Rendering Engine

Loading...
Searching...
No Matches
Public Member Functions | Public Attributes | List of all members
Ogre::GpuProgramParameters_AutoConstantEntry Class Reference
Core » Materials

Structure recording the use of an automatic parameter. More...

`#include <OgreGpuProgramParams.h>`

## Public Member Functions
| GpuProgramParameters_AutoConstantEntry (GpuProgramParameters::AutoConstantType theType, size_t theIndex, Real theData, uint16 theVariability, size_t theElemCount=4)
| GpuProgramParameters_AutoConstantEntry (GpuProgramParameters::AutoConstantType theType, size_t theIndex, size_t theData, uint16 theVariability, size_t theElemCount=4)

## Public Attributes
union { |
size_t data |
Real fData |
}; |  |
| Additional information to go with the parameter.
size_t | elementCount
| The number of elements per individual entry in this constant Used in case people used packed elements smaller than 4 (e.g.
GpuProgramParameters::AutoConstantType | paramType
| The type of parameter.
size_t | physicalIndex
| The target (physical) constant index.
uint16 | variability
| The variability of this parameter (see GpuParamVariability)

## Detailed Description

Structure recording the use of an automatic parameter.

## Constructor & Destructor Documentation

## ◆ GpuProgramParameters_AutoConstantEntry() [1/2]

Ogre::GpuProgramParameters_AutoConstantEntry::GpuProgramParameters_AutoConstantEntry | ( | GpuProgramParameters::AutoConstantType | theType,
|  | size_t | theIndex,
|  | size_t | theData,
|  | uint16 | theVariability,
|  | size_t | theElemCount = 4 )
| inline

References data, elementCount, paramType, physicalIndex, and variability.

## ◆ GpuProgramParameters_AutoConstantEntry() [2/2]

Ogre::GpuProgramParameters_AutoConstantEntry::GpuProgramParameters_AutoConstantEntry | ( | GpuProgramParameters::AutoConstantType | theType,
|  | size_t | theIndex,
|  | Real | theData,
|  | uint16 | theVariability,
|  | size_t | theElemCount = 4 )
| inline

References elementCount, fData, paramType, physicalIndex, and variability.

## Member Data Documentation

## ◆ [union]

union { ... } Ogre::GpuProgramParameters_AutoConstantEntry

Additional information to go with the parameter.

## ◆ data

size_t Ogre::GpuProgramParameters_AutoConstantEntry::data

Referenced by GpuProgramParameters_AutoConstantEntry().

## ◆ elementCount

size_t Ogre::GpuProgramParameters_AutoConstantEntry::elementCount

The number of elements per individual entry in this constant Used in case people used packed elements smaller than 4 (e.g.

GLSL) and bind an auto which is 4-element packed to it

Referenced by GpuProgramParameters_AutoConstantEntry(), and GpuProgramParameters_AutoConstantEntry().

## ◆ fData

Real Ogre::GpuProgramParameters_AutoConstantEntry::fData

Referenced by GpuProgramParameters_AutoConstantEntry().

## ◆ paramType

GpuProgramParameters::AutoConstantType Ogre::GpuProgramParameters_AutoConstantEntry::paramType

The type of parameter.

Referenced by GpuProgramParameters_AutoConstantEntry(), and GpuProgramParameters_AutoConstantEntry().

## ◆ physicalIndex

size_t Ogre::GpuProgramParameters_AutoConstantEntry::physicalIndex

The target (physical) constant index.

Referenced by GpuProgramParameters_AutoConstantEntry(), and GpuProgramParameters_AutoConstantEntry().

## ◆ variability

uint16 Ogre::GpuProgramParameters_AutoConstantEntry::variability

The variability of this parameter (see GpuParamVariability)

Referenced by GpuProgramParameters_AutoConstantEntry(), and GpuProgramParameters_AutoConstantEntry().

The documentation for this class was generated from the following file:

- OgreGpuProgramParams.h